/*
Styles for the block editor and front end
*/

@import url('https://fonts.googleapis.com/css2?family=Bitter:ital,wght@0,500;0,700;1,500&family=Satisfy&family=Urbanist:wght@400;600;700;800;900&display=swap');

.bitter, .serif, body {font-family: 'Bitter', 'Lucida Serif', Lucida, 'DejaVu Serif', 'Bitstream Vera Serif', 'Liberation Serif', Georgia, serif;}
.satisfy, .cursive, h1 em, h2 em, h3 em {font-family: 'Satisfy', cursive; font-weight:200 !important;}
.urbanist, .sans, .sans-serif, .gb-button {font-family: 'Urbanist', sans-serif;}

.white, .has-white-color {color: #ffffff;}
	.bg-white, .has-white-background-color {background-color: #ffffff;}
.off-white, .has-off-white-color {color: #faf6ec;}
	.bg-off-white, .has-off-white-background-color {background-color: #faf6ec;}
.black, .has-black-color {color: #000000;}
	.bg-black, .has-black-background-color {background-color: #000000;}
.dark-gray, .has-dark-gray-color {color: #494349;}	
	.bg-dark-gray, .has-dark-gray-background-color {background-color: #494349;}
.gray, .has-gray-color {color: #797b85;}
	.bg-gray, .has-gray-background-color {background-color: #797b85;}
.rich-gray, .has-rich-gray-color {color: #2f2f2f;}
	.bg-rich-gray, .has-rich-gray-background-color {background-color: #2f2f2f;}
.warm-dark-gray, .has-warm-dark-gray-color {color: #494349;}
	.bg-warm-dark-gray, .has-warm-dark-gray-background-color {background-color: #494349;}
.teal, .has-teal-color {color: #8299cd;}
	.bg-teal, .has-teal-background-color {background-color: #8299cd;}
.turquoise, .has-turqoise-color {color: #60b9d1;}
	.bg-turqoise, .has-turqoise-background-color {background-color: #60b9d1;}
.sand, .has-sand-color {color: #fffaee;}	
	.bg-sand, .has-sand-background-color {background-color: #fffaee;}
.yellow, .has-yellow-color {color: #fcdf96;}	
	.bg-yellow, .has-yellow-background-color {background-color: #fcdf96;}
.green, .has-green-color {color: #909968;}	
	.bg-green, .has-green-background-color {background-color: #909968;}
.violet, .has-violet-color {color: #9d8791;}
	.bg-violet, .has-violet-background-color {background-color: #9d8791;}
.purple, .has-purple-color {color: #4b436f;}
	.bg-purple, .has-purple-background-color {background-color: #4b436f;}

.text-gradient {color:#60b9d1; background: linear-gradient(90deg, rgba(83,198,214,1) 9%, rgba(55,178,171,1) 45%, rgba(4,110,169,1) 87%); -webkit-background-clip: text; 
	-webkit-text-fill-color: transparent;}
.text-shadow {text-shadow:0 0 5px #494349;}

h1, h2, h3, h4, h5, h6, body {font-family: 'Bitter', Constantia, 'Lucida Bright', Lucidabright, 'Lucida Serif', Lucida, 'DejaVu Serif', 'Bitstream Vera Serif', 'Liberation Serif', Georgia, serif; font-weight:700;}
.wp-block-buttons, button, textarea, input[type='button'], input[type='reset'], input[type='submit'], .button, #page #infinite-handle button {font-family: 'Urbanist', sans-serif;}
h1, h2, h3, h4, h5, h6 {margin-bottom: 10px;}
h1 {line-height:1.2em;}
h1 em {font-size:175%; padding:0 5px;}
h2 em {font-size:150%; padding:0 5px;}
h3 em {font-size:150%; padding:0 5px;}
.light {font-weight:300;}
.regular {font-weight:500;}
strong, .bold, h1, h2 {font-weight:700;}
h2 {font-size:1.4em; line-height:1.3em; margin-bottom:20px;}
.ab-block-post-grid h2 {font-size:25px;}
.ab-block-post-grid h2 a {color:#60b9d1;}
h3 {font-size:1.2em;}
h4 {font-size: 1em; color: #494349;}
h5 {font-size:21px; color:#494349; font-weight:500;}
h6 {color:#494349; font-weight:bold; text-transform:uppercase; font-size:1em; margin-bottom:5px;}
h6 a {color:#60b9d1;}

p {font-size: 0.8em; font-weight: 500; line-height: 1.7em; color:#494349;}
.linespacetight {line-height:1.5em;}

/*img, embed {max-width: 100%; width:auto; max-height:100%; height:auto;}*/
.screen-reader-text, .sr-only {position: absolute; width: 1px; height: 1px; padding: 0; margin: -1px; overflow: hidden; clip: rect(0,0,0,0); border: 0;}

.caps {text-transform:uppercase;}
.nocaps {text-transform:none;}

a.phonelink:hover {text-decoration:none;}

.border {border: 2px solid #60b9d1;}
.border-top {border-top: 2px solid #60b9d1;}
.border-right {border-right: 2px solid #60b9d1;}
.border-bottom {border-bottom: 2px solid #60b9d1;}
.border-left {border-left: 2px solid #60b9d1;}
hr, .edit-post-visual-editor .wp-block-separator {border:1px solid #60b9d1 !important;}

.photoborder {position: relative;}
.photoborder:before {content: ""; border: 1px solid #fddf96; position: absolute; z-index: 0; margin: 35px 0 0 -5%;  width: 40%; height: 100%;}
.photoborder img {z-index: 99; position: relative; margin-bottom: 35px;}

.nomargin {margin:0;} .nobottommargin {margin-bottom:0 !important;} .notopmargin {margin-top:0;}
.nopad, .nopad .wp-block-column {padding:0;}
.pad5 {padding:5px;} .pad10 {padding:10px;} .pad15 {padding:15px;} .pad20 {padding:20px;} .pad25 {padding:25px;} .pad30 {padding:30px;} .pad40 {padding:40px;} .pad50 {padding:50px;} .pad75 {padding:75px;} .pad100 {padding:100px;}
.padright {padding-right:15px;}

.normal {font-size:1em !important;}
.small {font-size:0.9em !important;}
.smaller {font-size:0.7em !important;}
.big {font-size:1.2em !important;}
.bigger {font-size:1.6em !important;}
.letterspace {letter-spacing:0.1em;}
.noletterspace {letter-spacing:0;}

ol {list-style-type: none; counter-reset: my-counter; padding-left:0;}
ol li::before {padding-right:10px; content: counter(my-counter); counter-increment: my-counter; color:#fcdf96;}
ol li {margin:0 0 15px 0; color:#000; font-size:0.9em;}

#content ol {padding-right:15px; margin-bottom:1.4em;}
#content ul {padding-left:10px; margin-left:0;}
#content ul li:before {content:"\2022"; padding-right:15px; font-weight:700; margin-left:10px; color:#fcdf96;}
#content ul li {color:#000; list-style:none; margin:0 0 5px 15px; text-indent:-36px; font-size:0.9em;}

::-webkit-input-placeholder {color: #9baad7;} ::-moz-placeholder {color: #9baad7;} :-ms-input-placeholder {color: #9baad7;} :-moz-placeholder {color: #9baad7;}

::placeholder {color: #9baad7; opacity: 1; font-size:14px; font-family: 'Urbanist', sans-serif;}
.site-footer ::placeholder {font-size:11px;}
:-ms-input-placeholder {color: #9baad7; font-family: 'Urbanist', sans-serif;}
::-ms-input-placeholder {color: #9baad7; font-family: 'Urbanist', sans-serif;}
input[type="text"], input[type="email"], input[type="url"], input[type="password"], input[type="search"], input[type="number"], input[type="date"], input[type="datetime"], input[type="datetime-local"], input[type="week"], input[type="tel"], input[type="time"], input[type="month"], input[type="tel"], textarea, select, .select2-container .select2-selection--single {
	color:#9baad7; border:1px solid #60b9d1; border-radius:0; background:#fef8e8; 
	font-size:12px; line-height: 12px; padding: 5px 10px; font-family: 'Urbanist', sans-serif; font-weight:normal;}
#content textarea {font-size:100%;}
.ab-button, .wpcf7-submit {font-family: 'Urbanist', sans-serif; font-weight: 700; padding: .8em 1.5em .6em 1.5em; letter-spacing: 0.06em; text-transform:uppercase;}
input.wpcf7-submit {font-size: 13px; border-radius: 0; border: 1px solid #fff; padding: 3px 15px; text-transform: uppercase;}
.wpcf7-not-valid-tip {font-size:0.7em;}

.gb-button-size-small, input[type=submit].gb-button-size-small {padding:0.5em 1em 0.4em 1em; font-weight:700;}

/* nav */
.social-navigation a[href*="facebook.com"]:before {content: "\f39e";}
.social-navigation a[href*="twitter.com"]:before {content: "\f099";}

/* block-cta */
.ab-block-cta .ab-cta-title {font-size:65px; line-height:1; margin-bottom:0.2em;}
.ab-cta-text p {font-size:22px; font-weight:500; margin-bottom:1.4em;}
.ab-block-cta .ab-button, .section-with-bg .ab-button {text-transform:uppercase; border:1px solid #fff !important; color:#fff !important; background:none !important;}
.ab-block-cta .ab-button:hover, .ab-block-cta .ab-button:focus, .section-with-bg .ab-button:hover, .section-with-bg .ab-button:focus {border:1px solid #c74d3f !important; background:#c74d3f !important; -webkit-box-shadow: none; box-shadow: none;}
.ab-block-cta.banner {padding: 22% 3%;}

/* content section with background */
.bg-bottom .ab-container-image {object-position:bottom;}
.section-with-bg * {color:#fff;}
.ab-block-container.section-with-bg .ab-container-inside {max-width:75vw;}
#content .section-with-bg ul {margin-left: 0;}
#content .section-with-bg ul li:before {content: "\2022"; color: #fff;}
#content .section-with-bg li {font-weight:400;}

/* image and text in 2 columns */
.image-text .ab-container-image-wrap, .text-image .ab-container-image-wrap {width:50%;}
.text-image .ab-container-image-wrap {margin-left:50%;}
.ab-block-container.image-text .ab-container-inside {margin-left:50%;}
.ab-block-container.text-image .ab-container-inside {margin-right:50%;}
.ab-block-container.image-text .ab-container-content, .ab-block-container.text-image .ab-container-content {padding:20px;}

/* gradient overlay */
.gradient-overlay .ab-container-image-wrap:after {content:""; position:absolute; bottom:0; width:100%; height:100%;
background: -moz-linear-gradient(top, rgba(0,0,0,0) 0%, rgba(26,23,24,0) 75%, rgba(35,31,32,0.65) 100%); /* FF3.6-15 */
background: -webkit-linear-gradient(top, rgba(0,0,0,0) 0%,rgba(26,23,24,0) 75%,rgba(35,31,32,0.65) 100%); /* Chrome10-25,Safari5.1-6 */
background: linear-gradient(to bottom, rgba(0,0,0,0) 0%,rgba(26,23,24,0) 75%,rgba(35,31,32,0.65) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#000000', endColorstr='#a6231f20',GradientType=0 ); /* IE6-9 */
}

/* homepage stuff */
.home-feat-prop-spacer {margin-top:-220px;}
.icon-galveston {margin: -12% 25px 50px 0;}
.icon-galveston img {margin: 0 0 0 auto;}
.bg-map {margin-top: -4em;}
.bg-map.gb-block-container .gb-container-image {object-fit: contain; object-position: left;}
.containernarrow .gb-container-content {max-width:400px !important;}

/* property listings */
.home-properties {z-index:99; position:relative;}
body .impress-carousel .owl-item .impress-carousel-property {background:#fffaee; padding-bottom:7px; margin:0; font-family: 'Urbanist', sans-serif;}
.impress-price, .impress-carousel .owl-item p {padding:0 15px; margin-top: 0;}
body .impress-carousel span.impress-price {font-size:18px; color:#494349; font-weight:700;}
.impress-carousel span.impress-street {font-size:16px; color:#494349; font-weight:600;}
.impress-carousel span.impress-cityname:before {content:""; background:url(img/map-pin.png) no-repeat left top; background-size: auto 100%; padding: 3px 0 3px 20px;}
.impress-carousel span.impress-cityname, .impress-carousel span.impress-state, .impress-carousel p.impress-beds-baths-sqft {color:#797b85;}
body .idx-omnibar-form label {font-family: 'Urbanist', sans-serif; font-size:14px; text-transform:uppercase; margin: 15px 0 0 0;}
.idx-omnibar-extra-button, .idx-omnibar-form.idx-omnibar-extra-form button {margin-top:25px !important;}

.IDX-quicksearchWrapper {border-radius: 0 !important; -webkit-border-radius: 0 !important; border: 0 !important; box-shadow: unset !important; -webkit-box-shadow: unset !important; background:#fffaee;}
#IDX-quicksearchForm-48190 .IDX-qsLabel {font-family: 'Urbanist', sans-serif; font-size:14px; text-transform:uppercase; margin: 15px 0 0 0 !important; padding-bottom: 5px !important;}
body #IDX-quicksearchForm-48190 {padding: 0 10px 20px 5px;}
body #IDX-quicksearchForm-48190 > .IDX-qsFieldWrap {text-align: left; width: 33%;}
body #IDX-qsPtLabel-48190, body #IDX-qsCityListLabel-48190 {display:block;}
body #IDX-quicksearchForm-48190 .IDX-qsSelectInput {width:100%; margin: 0; border-color:#60b9d1; color: #9baad7; font-size: 100%; line-height: 1.2em; padding:5px 10px;}
body #IDX-qsSubmitWrap-48190 {text-align:right !important;}
body #IDX-qsSubmit-48190 {height:unset !important; border-radius: 0; padding: 7px 20px; margin-top: 10px !important;}

#IDX-showcaseGallery-48187 .IDX-showcaseContainer {border: 0 !important; -webkit-box-shadow: unset !important; box-shadow: unset !important; padding: 0 !important;}
#IDX-showcaseGallery-48187.IDX-showcaseTable {margin:0 -8px;}
#IDX-showcaseGallery-48187 .IDX-showcaseContainer {font-family: 'Urbanist', sans-serif; background: #fefbee; padding: 10px !important;}
#IDX-showcaseGallery-48187 .IDX-showcaseLink {margin: -10px -10px 10px -10px !important; width: calc(100% + 20px) !important;}
#IDX-showcaseGallery-48187 .IDX-showcaseCell div {text-align:left !important; color:#797b85; font-size:14px;}
.IDX-showcaseAddress {font-size:16px !important; color:#494349 !important; font-weight:600;}
.IDX-showcaseCityStateZip:before {content:""; background:url(img/map-pin.png) no-repeat left top; background-size: auto 100%; padding: 3px 0 3px 20px;}
.IDX-showcasePrice {font-size:18px !important; color:#494349 !important; font-weight:700;}
.idxshowcasewrap {margin:0 -20px;}


/* responsive media queries */

/* phone screens */
@media (max-width:600px) {
	.sandollar img {max-width:175px;}
	.biotext-left {margin-right:-66.66%;}
	.biotext-right {margin-left:-66.66%;}
}

/* phones and vertical tablets */
@media (max-width: 1000px) {
	h3 {font-size: 1.5em;}
	h4 {font-size: 1.4em;}
	h5 {font-size:1em;}
	
	.contact-column.pad25 {padding:0 25px;}
	
	.ab-block-cta .ab-cta-title {font-size:45px;}
	
	.ab-block-container.text-image .ab-container-inside, .ab-block-container.text-image .ab-container-image-wrap, .ab-block-container.image-text .ab-container-inside {margin:0;}
	.ab-block-container.text-image, .ab-block-container.image-text {padding:0 !important;}
	.image-text .ab-container-image-wrap, .text-image .ab-container-image-wrap {width: 100%; position:relative;}
	
	#content ul.ui-tabs-nav {padding: 30px 0;}
	
	.mobile-center .wpcf7-form * {text-align:left !important;}
	
	.icon-galveston {margin: 0 auto 50px auto;}
	.icon-galveston img {margin: 0 auto; max-width: 175px;}
	
	.bg-map.gb-block-container .gb-container-image {display:none;}
	
	.photoborder:before {content:unset;}
	.photoborder img {margin-bottom:0;}
	.bg-map {margin-bottom:0 !important;}
	.bg-map .gb-block-container {margin-top: 2em !important;}
	.pgcsimplygalleryblock-grid-item {max-width:50%; height:auto !important;}
	.pgcsimplygalleryblock-grid-item .pgcsimplygalleryblock-grid-main-wrap {height:auto;}
	.pgcsimplygalleryblock-grid-item .pgcsimplygalleryblock-grid-main-wrap .pgcsimplygalleryblock-grid-item-wrap {padding-top:100%;}
	.pgcsimplygalleryblock-grid-item img {height: auto !important; width: 100% !important;}
	
	body #IDX-quicksearchForm-48190 .IDX-qsSelectInput {padding:5px;}

	
}
/* end phones and vertical tablets */

/* larger than phone */
@media only screen and (min-width: 768px) {
	
	.ab-block-container.alignwide .ab-container-inside, .ab-block-container.alignwide .ab-container-inside {max-width: 100%;}
	.sandollar .wp-block-column:first-child {flex-basis: 36% !important;}
	.sandollar .wp-block-column:last-child {flex-basis: 64% !important;}
	
	.owl-carousel.owl-drag .owl-item {max-width:40%; margin-right:10%;}
	.owl-carousel.owl-drag .owl-item:last-of-type {margin-right: 0;}
	
}


@media only screen and (min-width: 1001px) {
	.sandollar {margin-top: -100px; margin-bottom: 0 !important;}
	.sandollar .wp-block-image, .sandollar .wp-block-image figure {margin-bottom:0 !important; padding-bottom: 0 !important;}
}


/* tablets only */
@media only screen and (min-width: 768px) and (max-width: 1024px) {
	.sandollar {margin-top: -30px;}
	.icon-text .wp-block-columns {gap:1em;}
	.bg-map.gb-block-container .gb-container-image {margin-left:-80px;}
	.homephotos .pgcsimplygalleryblock-grid-collection .pgcsimplygalleryblock-grid-content {flex-wrap:nowrap !important;}
	.pgcsimplygalleryblock-grid-item {max-width:50%; height:auto !important;}
	.pgcsimplygalleryblock-grid-item .pgcsimplygalleryblock-grid-main-wrap {height:auto;}
	.pgcsimplygalleryblock-grid-item .pgcsimplygalleryblock-grid-main-wrap .pgcsimplygalleryblock-grid-item-wrap {padding-top:100%;}
	.pgcsimplygalleryblock-grid-item img {height: auto !important; width: 100% !important;}
}